<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<title>Activity a</title>
	</head>
	<body>
		<!-- Creates a heading text  -->
		<h1>Software Engineering Code of Ethics and Professional Practice</h1>

		<!-- Creates a smaller text -->
		<h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h3>

		<!-- Creates a horizontal rule  -->
		<hr>

		<!--
			- Creates a paragraph text
			- em creates emphasis on text
			- strong creates importance on text
			- br create a line break in between text
		  -->
		<p><b>Keywords</b>: code of ethics, professional responsibility, software engineering

		<br><br>
		 <b>PREAMBLE</b>

		 <br><br>
		 The short version of the code summarizes aspirations at a high level of abstraction. The clauses that included in the full version give example and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspirations can become high-sounding but empty; together, the aspirations and the details form a cohesive code.
		 <br><br>

		 Software engineers shall commit themselves to making the analysis, specifications, design, development, testing and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety and welfare of the public, software engineers shall adhere to the following eight Principles:

		 <br><br>
		 <b>PRINCIPLES</b>
		 <br>
		 <ol>
		 	<li><i>Public</i>. Software engineers shall act consistently with the public interest.</li>
		 	<li><i>Client and employer</i>. Software engineers shall act in a manner that is in the best interest of their client and employer, consistent with the public interest.</li>
		 	<li><i>Product</i>. Software engineers shall ensure that their products and related modifications meet the highest professional standards possible.</li>
		 	<li><i>Judgment</i>. Software engineers shall maintain integrity and independence in their professional judgment.</li>
		 	<li><i>Management</i>. Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
		 	<li><i>Profession</i>. Software engineers shall advance the intergity and reputation of the profession consistent with the public interest.</li>
		 	<li><i>Colleagues</i>. Software engineers shall be fair to and supportive of their colleagues.</li>
		 	<li><i>Self</i>. Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>
		 </ol>

		</p>

	</body>
</html>